﻿using System;
using System.Collections.Generic;

namespace nukakto.Models
{
    public partial class User
    {
        public User()
        {
            Attractions = new HashSet<Attraction>();
            Cards = new HashSet<Card>();
        }

        public int IdUser { get; set; }
        public string FirstName { get; set; } = null!;
        public string LastName { get; set; } = null!;
        public string? MiddleName { get; set; }
        public string Login { get; set; } = null!;
        public string Password { get; set; } = null!;

        public virtual ICollection<Attraction> Attractions { get; set; }
        public virtual ICollection<Card> Cards { get; set; }
    }
}
