﻿using System;
using System.Collections.Generic;

namespace nukakto.Models
{
    public partial class Attraction
    {
        public Attraction()
        {
            Stocks = new HashSet<Stock>();
            TypeAttractions = new HashSet<TypeAttraction>();
        }

        public int IdAttractions { get; set; }
        public string Name { get; set; } = null!;
        public decimal Price { get; set; }
        public string? AgeLimit { get; set; }
        public int IdUser { get; set; }

        public virtual User IdUserNavigation { get; set; } = null!;
        public virtual ICollection<Stock> Stocks { get; set; }
        public virtual ICollection<TypeAttraction> TypeAttractions { get; set; }
    }
}
